import ResonatorAudioContext from '../audio-context';
import { EventBus } from '../../event-bus';
export default class Scene extends EventBus {
    scene: any;
    context: ResonatorAudioContext;
    listener: AudioListener;
    constructor(context: ResonatorAudioContext);
    init(): void;
    createSource(): any;
    getOutput(): any;
    getInput(): any;
    setListenerPosition(x: number, y: number, z: number): void;
    setListenerOrientation(forward: any, rawup: any): void;
}
